Subject: [bug#40601] New reduced patchset, the easy bits first

From: Vincent Legoll <[email-masked]>
Date: Fri, 18 Dec 2020 20:35:11 +0100

Hello,

> Thanks for sending a smaller set of patches, that makes reviewing
> easier. I made some tweaks, and pushed 4 commits to master as
> d2532317d136ac063a24baeec6688ea0e0ebe37b.

Thanks for taking care of this, I'll have a look.

> I'm not sure about the bashisms stuff, given the script seems to depend
> on bash (see the exec bash bit at the start), I think using bash
> functionality is reasonable. What was your motivation behind these
> changes? (sorry if I've missed this earlier in the thread).

Some distributions that I intended to add support for don't default to bash
(nor have it installed by default). I think this script should aim for
the broadest
possible support, but that is only my opinion.

And the patch set was not finished, I wanted to tackle the low hanging fruits
first (also to test the interest from the guix team before doing too much).

> Maybe once we've talked about the bashisms stuff, would you be able to
> send another set of patches for review?

I'll try to revive the patch set, and submit other portions I should have lying
somewhere.

Tchuss

-- 
Vincent Legoll